Subject: bug#71070: 30.0.50; c++-ts-mode namespace wrong fontification.

From: Yuan Fu <[email-masked]>
Date: Tue, 21 May 2024 23:23:31 -0700

> On May 21, 2024, at 4:27 PM, Dmitry Gutov <[email-masked]> wrote:
> 
> Hi Eli,
> 
> On 20/05/2024 14:11, Eli Zaretskii wrote:
>>> Every editor-ide has its own approach for this. But emacs has it own
>>> flavor and the ts-* intention was to keep it as close as possible to the
>>> status-quo; that's why I am reporting it here.
>>> 
>>> There are many details missing in the c/c++-ts-mode compared to
>>> c-mode... but I understand that some of them are WIP while others are
>>> just too complex to port.
>> I understand all that, but still: can you (or someone else) answer my
>> question about the accepted practices of IDEs in this matter: do they
>> highlight the namespace identifiers differently than other
>> identifiers, or do they use the same highlighting?
> 
> Does the attached screenshot answer the question? It's from VS Code.<Screenshot from 2024-05-22 02-24-26.png>

I went ahead and made c++-ts-mode fontify namespaces in constant face. But feel free to revert or change my commit.

(It’d be better if someone can add a new builtin face for namespace and make it inherit from constant face, like what we did for property face, etc.)

Yuan